package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ns
 * @create 2022/5/31 0031 下午 16:52
 */
@Data
@ApiModel("对账单查询model")
public class ReconciliaDetailSummaryResultModel implements Serializable {
    @ApiModelProperty(name = "物料编号")
    private String partNo;


    @ApiModelProperty(name = "库存地编号")
    private String zoneNo;

    @ApiModelProperty(name = "来源存储区")
    private String srcZoneNo;

    @ApiModelProperty(name = "目标存储区")
    private String destZoneNo;

    @ApiModelProperty(name = "业务类型")
    private Integer busiTypeCode;


    @ApiModelProperty(name = "单据状态")
    public Integer orderStatus;

    @ApiModelProperty(name = "需求数量")
    private Double demandQty;

    @ApiModelProperty(name = "处理数量")
    private Double handleQty;

    @ApiModelProperty(name = "操作时间")
    private String actionDateTime;

    @ApiModelProperty(name = "创建时间")
    private String createDateTime;
}
